Bug 174896 - Booting with the x86_64 largesmp kernel on a 4 node IBM x466 system panics
Booting with the x86_64 largesmp kernel on a 4 node IBM x466 system panics
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 11:41 EST by Jeff Burke
Modified: 2013-08-05 21:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEL4-U4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-16 09:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2005-12-03 11:41:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at io_apic:673
invalid operand: 0000 [1] SMP
CPU 0
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.9-24.ELlargesmp
RIP: 0010:[<ffffffff8011cfbd>] <ffffffff8011cfbd>{assign_irq_vector+8}
RSP: 0000:00000100cfe61e40  EFLAGS: 00010212
RAX: 0000000000008000 RBX: ffffffff803d32e0 RCX: ffffffff8045afc0
RDX: 0000000000000018 RSI: 0000000000000006 RDI: 00000000000000f0
RBP: 0000000000000001 R08: 0000000000000001 R09: 0000000000000018
R10: 0000000000000000 R11: ffffffff8029f2d4 R12: 0000000000000001
R13: 00000000000000f0 R14: 0000000000000000 R15: 0000000000000006
FS:  0000000000000000(0000) GS:ffffffff804e3000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000491040 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 1, threadinfo 00000100cfe60000, task 00000100cfe397f0)
Stack: ffffffff8011d7bd 0000001800000052 000000000001a000 000000000000002b
       0000000000000006 0000000000000006 ffffffff8029f399 00000100cfe61ef0
       00000000000000f0 0000000000000001
Call Trace:<ffffffff8011d7bd>{io_apic_set_pci_routing+224} <ffffffff8029f399>{pci_conf1_read+197}
       <ffffffff80119ff5>{acpi_register_gsi+89} <ffffffff8021bcd0>{acpi_pci_irq_enable+413}
       <ffffffff8050cb44>{pci_acpi_init+67} <ffffffff8010c3ec>{init+475}
       <ffffffff80110ce3>{child_rip+8} <ffffffff8010c211>{init+0}
       <ffffffff80110cdb>{child_rip+0}

Code: 0f 0b b7 94 31 80 ff ff ff ff a1 02 48 63 f7 0f b6 86 e0 1d
RIP <ffffffff8011cfbd>{assign_irq_vector+8} RSP <00000100cfe61e40>
 <0>Kernel panic - not syncing: Oops


Version-Release number of selected component (if applicable):
kernel-largesmp-2.6.9-24.EL

How reproducible:
Always

Steps to Reproduce:
1.Boot a IBM x466 in a 4 node configuration.

  

Actual Results:  <0>Kernel panic - not syncing: Oops


Expected Results:  System should boot properly

Additional info:

I believe this is kernel and hardware specific. I can boot this kernel when it is in a sigle node configuration.
Comment 1 Jeff Burke 2006-07-10 10:12:03 EDT
This issue Has been resolved in RHEL4 U4. 

Note You need to log in before you can comment on or make changes to this bug.